FrequencyCountDialog Class Reference

Filter options dialog. More...

`#include <FrequencyCountDialog.h>`

Inheritance diagram for FrequencyCountDialog:

## Public Member Functions

| FrequencyCountDialog (Table *t, QWidget *parent=0, Qt::WFlags fl=0)
| ~FrequencyCountDialog ()

## Private Slots

void | accept ()
bool | apply ()

## Private Attributes

DoubleSpinBox * | boxEnd
DoubleSpinBox * | boxStart
DoubleSpinBox * | boxStep
QPushButton * | buttonApply
QPushButton * | buttonCancel
QPushButton * | buttonOk
int | d_bins
QString | d_col_name
gsl_vector * | d_col_values
Table * | d_result_table
Table * | d_source_table

## Detailed Description

Filter options dialog.

## Constructor & Destructor Documentation

FrequencyCountDialog::FrequencyCountDialog | ( | Table * | t,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), apply(), boxEnd, boxStart, boxStep, buttonApply, buttonCancel, buttonOk, Table::cell(), Table::colName(), d_bins, d_col_name, d_col_values, ApplicationWindow::d_decimal_digits, min, Table::numRows(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setValue(), Table::table(), Table::text(), and ApplicationWindow::updateLog().

FrequencyCountDialog::~FrequencyCountDialog | ( |  | ) |

References d_col_values.

## Member Function Documentation

void FrequencyCountDialog::accept | ( |  | ) |

private slot

References apply().

Referenced by FrequencyCountDialog().

bool FrequencyCountDialog::apply | ( |  | ) |

private slot

References boxEnd, boxStart, boxStep, d_bins, d_col_name, d_col_values, d_result_table, ApplicationWindow::generateUniqueName(), ApplicationWindow::newTable(), Table::numRows(), Table::setCell(), Table::setColName(), Table::setNumRows(), Table::setText(), and DoubleSpinBox::value().

Referenced by accept(), and FrequencyCountDialog().

## Member Data Documentation

DoubleSpinBox* FrequencyCountDialog::boxEnd

private

Referenced by apply(), and FrequencyCountDialog().

DoubleSpinBox* FrequencyCountDialog::boxStart

private

Referenced by apply(), and FrequencyCountDialog().

DoubleSpinBox* FrequencyCountDialog::boxStep

private

Referenced by apply(), and FrequencyCountDialog().

QPushButton* FrequencyCountDialog::buttonApply

private

Referenced by FrequencyCountDialog().

QPushButton* FrequencyCountDialog::buttonCancel

private

Referenced by FrequencyCountDialog().

QPushButton* FrequencyCountDialog::buttonOk

private

Referenced by FrequencyCountDialog().

int FrequencyCountDialog::d_bins

private

Referenced by apply(), and FrequencyCountDialog().

QString FrequencyCountDialog::d_col_name

private

Referenced by apply(), and FrequencyCountDialog().

gsl_vector* FrequencyCountDialog::d_col_values

private

Referenced by apply(), FrequencyCountDialog(), and ~FrequencyCountDialog().

Table* FrequencyCountDialog::d_result_table

private

Referenced by apply().

Table* FrequencyCountDialog::d_source_table

private

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/FrequencyCountDialog.h
- qtiplot/src/analysis/dialogs/FrequencyCountDialog.cpp